If the Prophet is a professional in Supplementary Magic, and the Bishop is an expert in Healing Magic. It is advantageous to fight with others in a party rather than to fight alone. During party play or Siege Battle, the role of a Bishop becomes very important. Even a strong Fighter will not be able to fight his best without the help of a Bishop.
Of course the Bishop has healing skills, reviving the dead and damaging monsters with strong strikes with his/her White Magic.
To be an Bishop, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Trust, and the Mark of the Healer.
Ask about marks.
Return